Redmine - Defect #36455

Text custom field values are not aligned with their labels when text formatting is enabled
2022-01-20 03:12 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 4.1.6

Resolution: Fixed Affected version:

Description

The value of a text type custom field with text formatting enabled is not aligned with the label. This is essentially the same problem
with #35642.

Bug #1

Cannot print recipes
Added by John Smith 3 days ago. Updated 1 day ago.

Status: New
Priority: Low
Assignee: -
Category: Printing

Target version: -
Searchable field:

125
Database:
Float field: 2.10
Related issues:
Related to Redmine - Defect #35642: Long text custom field values are not ali... Closed

Associated revisions

Revision 21372 - 2022-01-20 14:59 - Go MAEDA

Text custom field values are not aligned with their labels when text formatting is enabled (#36455).

Patch by Go MAEDA.

Revision 21373 - 2022-01-21 01:03 - Go MAEDA
Merged r21372 from trunk to 4.2-stable (#36455).

Revision 21374 - 2022-01-21 01:04 - Go MAEDA
Merged r21372 from trunk to 4.1-stable (#36455).

History

#1 - 2022-01-20 03:15 - Go MAEDA

- Target version set to 4.1.6

The patch below fixes the issue. Setting the target version to 4.1.6.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css
index 4e998clle..6ef5f8ef8 100644

——— a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -542,6 +542,7 @@ div.issue .attributes {margin-top: 2em;}

div.issue .attributes .attribute {padding-left:180px; clear:left; min-height: 1.8em;}
https://www.redmine.org/issues/35642

div.issue .attributes .attribute .label {width: 170px; margin-left:-180px; font-weight:bold;

rflow:hidden; text-overflow: ellipsis;}

div.issue .attribute .value {overflow:auto; text-overflow: ellipsis;}

+div.issue .attribute.string cf .value .wiki p {margin-top: 0; margin-bottom: O0;}
div.issue .attribute.text_cf .value .wiki p:first-of-type {margin-top: 0;}
div.issue.overdue .due-date .value { color: #c22; }

body.controller-issues h2.inline-flex {padding-right: 0}

#2 - 2022-01-20 03:17 - Go MAEDA
- Related to Defect #35642: Long text custom field values are not aligned with their labels added

#3 - 2022-01-20 14:59 - Go MAEDA

float:left; ove

- Subject changed from Text custom field values are not aligned with their labels to Text custom field values are not aligned with their labels when text

formatting is enabled
- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

#4 - 2022-01-21 01:04 - Go MAEDA

- Status changed from Resolved to Closed
